summarylogtreecommitdiffstats
path: root/use-system-libxcb.patch
blob: fc3b530af1ed1cd1385efb572600d53145bd119d (plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
diff -aur --no-dereference radium-5.9.60.pristine/bin/packages/build.sh radium-5.9.60.new/bin/packages/build.sh
--- radium-5.9.60.pristine/bin/packages/build.sh	2019-05-11 22:54:53.259293886 +0100
+++ radium-5.9.60.new/bin/packages/build.sh	2019-05-11 22:57:03.595956087 +0100
@@ -185,28 +185,28 @@
     cd ../
 fi
 
-if [[ $RADIUM_QT_VERSION == 5 ]]
-then
-
-    rm -fr xcb-proto-1.13/
-    tar xvjf xcb-proto-1.13.tar.bz2
-    cd xcb-proto-1.13/
-    mkdir install
-    ./configure --prefix=`pwd`/install PYTHON=`which python2`
-    make -j`proc`
-    make install
-    cd ..
-    
-    rm -fr libxcb-1.13
-    tar xvjf libxcb-1.13.tar.bz2 
-    cd libxcb-1.13
-    #patch -p1 <../libxcb-1.12.patch
-    export PKG_CONFIG_PATH=`pwd`/../xcb-proto-1.13/install/lib/pkgconfig:$PKG_CONFIG_PATH
-    CFLAGS="$CFLAGS" CPPFLAGS="$CPPFLAGS" CPPFLAGS="$CXXFLAGS" ./configure PYTHON=`which python2`
-    CFLAGS="$CFLAGS" CPPFLAGS="$CPPFLAGS" CPPFLAGS="$CXXFLAGS" make -j`nproc`
-    cd ..
-    
-fi
+#if [[ $RADIUM_QT_VERSION == 5 ]]
+#then
+#
+#    rm -fr xcb-proto-1.13/
+#    tar xvjf xcb-proto-1.13.tar.bz2
+#    cd xcb-proto-1.13/
+#    mkdir install
+#    ./configure --prefix=`pwd`/install PYTHON=`which python2`
+#    make -j`proc`
+#    make install
+#    cd ..
+#    
+#    rm -fr libxcb-1.13
+#    tar xvjf libxcb-1.13.tar.bz2 
+#    cd libxcb-1.13
+#    #patch -p1 <../libxcb-1.12.patch
+#    export PKG_CONFIG_PATH=`pwd`/../xcb-proto-1.13/install/lib/pkgconfig:$PKG_CONFIG_PATH
+#    CFLAGS="$CFLAGS" CPPFLAGS="$CPPFLAGS" CPPFLAGS="$CXXFLAGS" ./configure PYTHON=`which python2`
+#    CFLAGS="$CFLAGS" CPPFLAGS="$CPPFLAGS" CPPFLAGS="$CXXFLAGS" make -j`nproc`
+#    cd ..
+#    
+#fi
 
 
 touch deletemetorebuild
diff -aur --no-dereference radium-5.9.60.pristine/bin/run_radium_linux.sh radium-5.9.60.new/bin/run_radium_linux.sh
--- radium-5.9.60.pristine/bin/run_radium_linux.sh	2019-05-11 22:54:53.262627219 +0100
+++ radium-5.9.60.new/bin/run_radium_linux.sh	2019-05-11 22:57:03.595956087 +0100
@@ -4,14 +4,14 @@
 
 
 THIS_DIR="$(dirname "$(readlink -f "$0")")"
-XCB_LIB_DIR="$THIS_DIR"/packages/libxcb-1.13/src/.libs
+#XCB_LIB_DIR="$THIS_DIR"/packages/libxcb-1.13/src/.libs
 
-if ! file "$XCB_LIB_DIR" ; then
-    echo "Unable to find directory $XCB_LIB_DIR"
-    exit -1
-fi
+#if ! file "$XCB_LIB_DIR" ; then
+#    echo "Unable to find directory $XCB_LIB_DIR"
+#    exit -1
+#fi
 
-export LD_LIBRARY_PATH="$XCB_LIB_DIR"${LD_LIBRARY_PATH:+:$LD_LIBRARY_PATH}
+#export LD_LIBRARY_PATH="$XCB_LIB_DIR"${LD_LIBRARY_PATH:+:$LD_LIBRARY_PATH}
 
 # To avoid buggy qt plugins crashing radium (very common).
 unset QT_QPA_PLATFORMTHEME
diff -aur --no-dereference radium-5.9.60.pristine/install.sh radium-5.9.60.new/install.sh
--- radium-5.9.60.pristine/install.sh	2019-05-11 22:54:53.275960552 +0100
+++ radium-5.9.60.new/install.sh	2019-05-11 22:57:03.595956087 +0100
@@ -99,7 +99,7 @@
 cd "$THIS_DIR/bin"
 
 # libxcb
-cp -a packages/libxcb-1.13 "$TARGET/packages/"
-cd "$TARGET/packages/libxcb-1.13/src"
-rm -f *.o
-cd "$THIS_DIR/bin"
+#cp -a packages/libxcb-1.13 "$TARGET/packages/"
+#cd "$TARGET/packages/libxcb-1.13/src"
+#rm -f *.o
+#cd "$THIS_DIR/bin"
diff -aur --no-dereference radium-5.9.60.pristine/Qt/Qt_Main.cpp radium-5.9.60.new/Qt/Qt_Main.cpp
--- radium-5.9.60.pristine/Qt/Qt_Main.cpp	2019-05-11 22:54:53.245960553 +0100
+++ radium-5.9.60.new/Qt/Qt_Main.cpp	2019-05-11 22:57:03.595956087 +0100
@@ -3536,6 +3536,7 @@
   
 #endif // !defined(RELEASE)
 
+/*
 #if defined(FOR_LINUX)
   {
     QString name(dlpi_name);
@@ -3547,6 +3548,7 @@
     }
   }
 #endif
+*/
  
  
   if (is_main_root)